/*
 * Copyright 2021 Chris Banes
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dev.chrisbanes.internal

import android.app.Activity
import androidx.test.core.app.ActivityScenario

fun <A : Activity, T : Any> ActivityScenario<A>.withActivity(
    action: (A) -> T
): T {
    lateinit var result: T
    onActivity { result = action(it) }
    return result
}
